import type { MaButtonProps } from './types';
declare var __VLS_10: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_10) => any;
};
declare const __VLS_component: import("vue").DefineComponent<MaButtonProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<MaButtonProps> & Readonly<{}>, {
    size: import("@/index").ButtonSize;
    variant: import("@/index").ButtonVariant;
    disabled: boolean;
    loading: boolean;
    color: import("@/index").ButtonColor;
    shape: import("@/index").ButtonShape;
    htmlType: import("@/index").ButtonHtmlType;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
